Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.dnd
Interface DNDSource

All Superinterfaces:
  DNDArea

    public interface DNDSource

extends DNDArea

A DNDSource represents a draggable object that will be matched against DNDTargets (drop zones) to create a Drag and Drop interface on the client.

Since:
  6.0

Method Summary
`java.lang.String` | `getCssClassName()` Return the CSS class name for this DNDSource.
`DNDProperty[]` | `getDNDProperties()` Returns the DNDProperties associated with this DNDAction.
`boolean` | `getDragClone()` Returns a flag indicating whether or not the browser should drag a clone of the draggable markup
`boolean` | `getMultiselectable()` Return a flag indicating whether or not this DNDSource can be multiselected
`java.lang.String` | `getOptionalOnDragHandlerMarkup()` This method returns optional javascript to be invoked at the beginning of a drag operation.
`DNDValidator` | `getValidator()` Returns an instance of the DNDValidator for this DNDSource.

Methods inherited from interface com.ibm.portal.dnd.DNDArea
`getId`

Method Detail

### getValidator

    DNDValidator getValidator()

  Returns an instance of the DNDValidator for this DNDSource. This is allowed to be null.

  Returns:
    a DNDValidator instance

### getOptionalOnDragHandlerMarkup

    java.lang.String getOptionalOnDragHandlerMarkup()

  This method returns optional javascript to be invoked at the beginning of a drag operation.

  Returns:
    a string containing optional javascript, or null

### getDNDProperties

    DNDProperty[] getDNDProperties()

  Returns the DNDProperties associated with this DNDAction. This will not be null.

  Returns:
    an array of DNDProperties

### getDragClone

    boolean getDragClone()

  Returns a flag indicating whether or not the browser should drag a clone of the draggable markup

  Returns:
    a boolean indicating whether or not to drag a clone

### getCssClassName

    java.lang.String getCssClassName()

  Return the CSS class name for this DNDSource. This should rarely be overridden and should generally use a default value. This will not be null.

  Returns:
    the CSS class name

### getMultiselectable

    boolean getMultiselectable()

  Return a flag indicating whether or not this DNDSource can be multiselected

  Returns:
    boolean, true if multiselectable

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD